XnModuleUserPositionCapabilityInterface Struct Reference

`#include <XnModuleInterface.h>`

## Public Attributes

XnUInt32(* | GetSupportedUserPositionsCount )(XnModuleNodeHandle hGenerator)
XnStatus(* | SetUserPosition )(XnModuleNodeHandle hGenerator, XnUInt32 nIndex, const XnBoundingBox3D *pPosition)
XnStatus(* | GetUserPosition )(XnModuleNodeHandle hGenerator, XnUInt32 nIndex, XnBoundingBox3D *pPosition)
XnStatus(* | RegisterToUserPositionChange )(XnModuleNodeHandle hGenerator, XnModuleStateChangedHandler handler, void *pCookie, XnCallbackHandle *phCallback)
void(* | UnregisterFromUserPositionChange )(XnModuleNodeHandle hGenerator, XnCallbackHandle hCallback)

## Detailed Description

A set of functions supported by depth generators who supports the User Position capability.

## Member Data Documentation

## GetSupportedUserPositionsCount

XnUInt32(* XnModuleUserPositionCapabilityInterface::GetSupportedUserPositionsCount) (XnModuleNodeHandle hGenerator)

Gets the number of user positions supported by this generator.

Parameters

  hGenerator | [in] A handle to the instance.

## GetUserPosition

XnStatus(* XnModuleUserPositionCapabilityInterface::GetUserPosition) (XnModuleNodeHandle hGenerator, XnUInt32 nIndex, XnBoundingBox3D *pPosition)

Gets the current user position.

Parameters

  hGenerator | [in] A handle to the instance.
  nIndex | [in] The user position to get.
  pPosition | [out] Current user position.

## RegisterToUserPositionChange

XnStatus(* XnModuleUserPositionCapabilityInterface::RegisterToUserPositionChange) (XnModuleNodeHandle hGenerator, XnModuleStateChangedHandler handler, void *pCookie, XnCallbackHandle *phCallback)

Registers a callback function to user position changes.

Parameters

  hGenerator | [in] A handle to the instance.
  handler | [in] A pointer to a function that will be called when user position changes.
  pCookie | [in] A user cookie that will be passed to the callback function.
  phCallback | [out] Optional. Will be filled with a handle to be passed to UnregisterFromUserPositionChange.

## SetUserPosition

XnStatus(* XnModuleUserPositionCapabilityInterface::SetUserPosition) (XnModuleNodeHandle hGenerator, XnUInt32 nIndex, const XnBoundingBox3D *pPosition)

Sets the current user position.

Parameters

  hGenerator | [in] A handle to the instance.
  nIndex | [in] The user position to set.
  pPosition | [in] The user position in the frame.

## UnregisterFromUserPositionChange

void(* XnModuleUserPositionCapabilityInterface::UnregisterFromUserPositionChange) (XnModuleNodeHandle hGenerator, XnCallbackHandle hCallback)

Unregisters a callback function which was registered using RegisterToUserPositionChange.

Parameters

  hGenerator | [in] A handle to the instance.
  hCallback | [in] The handle to the callback returned from RegisterToUserPositionChange.

The documentation for this struct was generated from the following file:

- XnModuleInterface.h